# List Get

## Description

Get element of list stored at key from DB.

## Usage

```sqf
Arguments:
	0: STRING - Name of stored key (default: "")
	1: SCALAR - Index of stored value in list (default: -1)
	2: STRING - NetID of target to return data from function (default: "")
	3: STRING - Name of function to return data (default: "")
	4: BOOLEAN - Unscheduled environment (default: false)

Examples:
	["events", 0, "", "dragonfly_db_fnc_test", false] call dragonfly_db_fnc_listGet (Server or Singleplayer Only)
	["events", 0, netId player, "dragonfly_db_fnc_test", false] remoteExecCall ["dragonfly_db_fnc_listGet", 2, false] (Multiplayer Only)
```

## Links

[List Add](lists/listAdd.md) |
[List Get](lists/listGet.md) |
[List Load](lists/listLoad.md) |
[List Remove](lists/listRemove.md) |
[List Set](lists/listSet.md)
